Subject: Message incorrectly marked as c-format

From: Göran Uddeborg <[email-masked]>
Date: Mon, 14 May 2012 20:15:59 +0200

This message in the 8.17 message file is written using fputs(), but it
is anyway marked as c-format.  This is a problem since the % sign in
the description of --goal is taken as a formatting directive (of an
unsigned int written in octal, with the "space" flag).  This causes
problems when translating.  The effect of the validation of the
translation complains if the word following the percent sign doesn't
start with an "o", or other letter which is "compatible" in printf's
sense.  (And in Swedish I would like it to start with an "a".)

#: src/fmt.c:285
#, c-format
msgid ""
"  -t, --tagged-paragraph    indentation of first line different from second\n"
"  -u, --uniform-spacing     one space between words, two after sentences\n"
"  -w, --width=WIDTH         maximum line width (default of 75 columns)\n"
"  -g, --goal=WIDTH          goal width (default of 93% of width)\n"